#
# This file is sh-compatible and is provided for other
# components/frameworks to include in their makes or other scripts
# to pick up proper ** INSTALLED ** definitions of our header/library
# locations.  We prefer this approach to writing compiler
# wrappers.

# suitable for makefile inclusions, see 
# share/cca-spec-neo-$version/MakeIncl.neo

#---------------------------------------------------------------
# NEOCCA entire install tree. 
#---------------------------------------------------------------
NEOCCA_INSTALL_ROOT='/usr'

#---------------------------------------------------------------
# NEOCCA c++ tree and flags to digest headers while building 
# NEOCCA-dependent c++ components.
#---------------------------------------------------------------
NEOCCA_CXX_HOME='/usr'
NEOCCA_INC='-I/usr/include/cca-spec-neo-0.2.8 -I/usr -DBOOST_DISABLE_THREADS'
NEOCCA_BOOST_ROOT="/usr"
NEOCCA_VERSION=0.2.8
NEOCCA_VERSION_MAJOR=0
NEOCCA_VERSION_MINOR=2
NEOCCA_VERSION_PATCH=8
NEOCCA_HEADER=neocca.hh
NEOCCA_MAKEINCL=/usr/share/cca-spec-neo-0.2.8/MakeIncl_CCA_Neo_Vars
NEOCCA_PKG_NAME=cca-spec-neo-0.2.8
NEOCCA_VER_SUFFIX=-0.2.8
# us
NEOCCA_VARS_SH=/usr/share/cca-spec-neo-0.2.8/CCA_Neo_Vars.sh
NEOCCA_SCRIPTS_DIR=/usr/share/cca-spec-neo-0.2.8
NEOCCA_GEN_COMPONENT_XML=/usr/bin/genNeoComponentIndex-0.2.8
NEOCCA_GEN_LIBTOOL_XML=/usr/bin/genNeoXML-0.2.8
CCA_BUNDLE_VERSION='developer'


XMLINC="-I/usr/include/libxml2"
XMLLIB="-lxml2"
HAVE_XML=1

NEOCCA_BABEL_LIBTOOL='/usr/bin/babel-libtool'
NEOCCA_SUPPORT_STATIC=1
NEOCCA_SUPPORT_SHARED=1
NEO_PRERUN=
LIBTOOL_SUPPORT_STATIC=1
LIBTOOL_SUPPORT_SHARED=1
NEOCCA_HIDECOMPILE=
NEOCCA_HIDELIBTOOL=

#---------------------------------------------------------------
# NEOCCA c++ lib with namespaces
#---------------------------------------------------------------
# bug-- apparently prog suffix ignored.
NEOCCA_STATIC_LIB='/usr/lib/libneocca-0.2.8.a'
NEOCCA_SHARED_LIB='/usr/lib/libneocca-0.2.8.so'
NEOCCA_LIBTOOL_LIB='/usr/lib/libneocca-0.2.8.la'

#---------------------------------------------------------------
# The compiler tools used to build NEOCCA.
#---------------------------------------------------------------
NEOCCA_CXX='/usr/bin/i586-alt-linux-g++'
NEOCCA_CXX_FLAGS='-I. -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -IJNI_INCLUDES/linux -pipe -Wall -O2 -march=i586 -mtune=i686 -fno-strict-aliasing -Wall -pthread'


#----------------------------------------------------------------
# The following flags for dynamic loading lifted bodily
# from CCAFFEINE 10/2000.
#----------------------------------------------------------------
#
# NOTE: the authors of CCAFFEINE are *extremely* skeptical
# of all known automatic dynamic-loading dependency tracking
# (dynamic link resolution) schemes (most break readily).
#
# As such, our code is written to require FULL path names
# to .so files being loaded. 
#----------------------------------------------------------------


#       DL_LIBS -       System library(s) to include in demo and other base
#                       applications in order for the dynamic loading
#			to work.
NEOCCA_DL_LIBS='-ldl'

#       LD_FLAGS -      Flags to pass to the compiler when linking object
#                       files static into an executable application binary.
NEOCCA_LD_FLAGS=''

#       LD_SEARCH_FLAGS-Flags to pass to ld, such as "-R /usr/local/cca/lib",
#                       that tell the run-time dynamic linker where to look
#                       for components.  Depends on
#                       the variable LIB_RUNTIME_DIR in the Makefile.
# 			Not needed for absolute pathnamed files.
#			In ccaffeine, we force absolute pathnames.
NEOCCA_LD_SEARCH_FLAGS='-Wl,-rpath,${LIB_RUNTIME_DIR}'

###
### Stuff for building components.
###

#       SHLIB_CFLAGS -  Flags to pass to cc when compiling .o files for
#                       a shared library (may request position-independent
#                       code, among other things).
NEOCCA_SHLIB_CFLAGS='-fPIC'

#SHLIB_LD -      Base command to use for combining object files
#                into a shared library containing a component.
NEOCCA_SHLIB_LD='/usr/bin/i586-alt-linux-g++ -shared'

#       SHLIB_LD_LIBS - Dependent libraries for the linker to scan when
#                       creating shared libraries.  This symbol typically
#                       goes at the end of the "ld" commands that build
#                       shared libraries. The value of the symbol is
#                       "${LIBS}" if all of the dependent libraries should
#                       be specified when creating a shared library.  If
#                       dependent libraries should not be specified (as on
#                       SunOS 4.x, where they cause the link to fail, or in
#                       general if demo mains aren't themselves shared
#                       libraries), then this symbol has an empty string
#                       as its value. Your component isn't a component
#                       (in CCA terms) if you need a non-empty value here.
NEOCCA_SHLIB_LD_LIBS='${LIBS}'

#       SHLIB_SUFFIX -  Suffix to use for the names of dynamically loadable
#                       extensions.  An empty string means we don't know how
#                       to use shared libraries on this platform.
NEOCCA_SHLIB_SUFFIX='.so'

NEOCCA_BUILD_ROOT='/usr/src/RPM/BUILD/cca-spec-neo-0.2.8/neo'
# mpi stuff
NEO_HAVE_MPI=1
NEO_MPICXX="/usr/lib/openmpi/bin/mpicxx"
NEO_MPI_INC='/usr/lib/openmpi/include'
NEO_MPI_STATIC_LIBS=''
NEO_MPI_LIBTOOL_LIBS=''


# new stuff
NEOCCA_LIB_L='-lneocca-0.2.8'
NEOCCA_bindir=/usr/bin
NEOCCA_sbindir=/usr/sbin
NEOCCA_libexecdir=/usr/lib
NEOCCA_datadir=/usr/share
NEOCCA_docdir=/usr/share/doc
NEOCCA_sysconfdir=/etc
NEOCCA_sharedstatedir=/usr/com
NEOCCA_localstatedir=/var/lib
NEOCCA_libdir=/usr/lib
NEOCCA_infodir=/usr/share/info
NEOCCA_mandir=/usr/share/man
NEOCCA_includedir=/usr/include
NEOCCA_oldincludedir=/usr/include
NEOCCA_pkgdatadir=/usr/share/cca-spec-neo-0.2.8
NEOCCA_pkgdocdir=/usr/share/doc/cca-spec-neo-0.2.8
NEOCCA_pkglibdir=/usr/lib/cca-spec-neo-0.2.8
NEOCCA_pkgincludedir=/usr/include/cca-spec-neo-0.2.8
NEOCCA_transform='s,x,x,'

